Update a webhook subscription
curl --request PUT \
--url https://api.hostreach.io/v1/public/v1/webhooks/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"url": "https://yourapp.com/webhooks/hostreach",
"secret": "<string>",
"name": "<string>",
"isActive": true,
"events": [
"leads.imported",
"lead.status_updated",
"lead.first_response"
]
}
'import requests
url = "https://api.hostreach.io/v1/public/v1/webhooks/{id}"
payload = {
"url": "https://yourapp.com/webhooks/hostreach",
"secret": "<string>",
"name": "<string>",
"isActive": True,
"events": ["leads.imported", "lead.status_updated", "lead.first_response"]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://yourapp.com/webhooks/hostreach',
secret: '<string>',
name: '<string>',
isActive: true,
events: ['leads.imported', 'lead.status_updated', 'lead.first_response']
})
};
fetch('https://api.hostreach.io/v1/public/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
Update a webhook subscription
PUT
/
public
/
v1
/
webhooks
/
{id}
Update a webhook subscription
Authorizations
API key (hr_live_... or hr_test_...). Generate from Settings › Workspace › Acceso API.
Path Parameters
Body
application/json
New endpoint URL.
Example:
"https://yourapp.com/webhooks/hostreach"
New signing secret.
New display name.
Set to false to disable the webhook without deleting it.
Replace the current event subscriptions.
Available options:
extraction.completed, leads.imported, lead.status_updated, lead.first_response Example:
[
"leads.imported",
"lead.status_updated",
"lead.first_response"
]
Response
200 - undefined
Was this page helpful?
⌘I